import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "../../index.module.scss";
import Tpl1 from "./tpl1";
import Tpl2 from "./tpl2";
import Tpl3 from "./tpl3";
import Tpl4 from "./tpl4";
import Tpl5 from "./tpl5";
import Tpl6 from "./tpl6";
import Tpl7 from "./tpl7";
import Tpl8 from "./tpl8";
import Tpl9 from "./tpl9";
import Tpl10 from "./tpl10";
import Tpl11 from "./tpl11";
import Tpl12 from "./tpl12";
import Tpl13 from "./tpl13";
import Tpl14 from "./tpl14";
import Tpl15 from "./tpl15";
import Tpl16 from "./tpl16";
import Tpl17 from "./tpl17";
import Tpl18 from "./tpl18";
import Tpl19 from "./tpl19";
import Tpl20 from "./tpl20";
import Tpl21 from "./tpl21";
import Tpl22 from "./tpl22";
import Tpl23 from "./tpl23";
import Tpl24 from "./tpl24";
import Tpl25 from "./tpl25";
import Tpl26 from "./tpl26";
import Tpl27 from "./tpl27";
import Tpl28 from "./tpl28";
// import Tpl12 from './tpl12';
// import Tpl13 from './tpl13';
var activity = /*#__PURE__*/function (_Component) {
  _inheritsLoose(activity, _Component);
  function activity() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = activity.prototype;
  _proto.render = function render() {
    var insetFn = this.props.insetFn;
    var handleClick = function handleClick(ev) {
      insetFn(ev.target.innerHTML);
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl1, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl2, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl3, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl4, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl5, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl6, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl7, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl8, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl9, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl10, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl11, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl12, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl13, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl14, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl15, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl16, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl17, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl18, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl19, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl20, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl21, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl22, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl23, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl24, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl25, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl26, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl27, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl28, null)));
  };
  return activity;
}(Component);
export { activity as default };